# Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
#
# SPDX-License-Identifier: MPL-2.0

# must be unique in a given SonarQube instance
sonar.projectKey=plateg-egesetzgebung-working-aids
sonar.sources=src
sonar.exclusions=src/messages/**
sonar.cpd.exclusions=**/*.test.ts

sonar.tests=src
sonar.test.inclusions=**/*.test.tsx,**/*.test.ts,**/*.test.js
sonar.coverage.exclusions=**/*.tsx
sonar.javascript.lcov.reportPaths=.reports/coverage/lcov.info